Package ru.bitel.bgbilling.modules.qiwi.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.qiwi.common.bean.Transaction

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Transaction
    extends BGAbstractTransaction

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Transaction()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAdditionalKey()` |
  `java.lang.String` | `getEndDate()` |
  `java.util.Date` | `getPaymentDate()` |
  `java.lang.String` | `getRefundId()` | Получение уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.
  `void` | `setAdditionalKey​(java.lang.String additionalKey)` |
  `void` | `setEndDate​(java.lang.String endDate)` |
  `void` | `setPaymentDate​(java.util.Date paymentDate)` |
  `void` | `setRefundId​(java.lang.String refundId)` | Установка уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getPaymentDate

    public java.util.Date getPaymentDate()

  - ### setPaymentDate

    public void setPaymentDate​(java.util.Date paymentDate)

  - ### getEndDate

    public java.lang.String getEndDate()

  - ### setEndDate

    public void setEndDate​(java.lang.String endDate)

  - ### getAdditionalKey

    public java.lang.String getAdditionalKey()

  - ### setAdditionalKey

    public void setAdditionalKey​(java.lang.String additionalKey)

  - ### getRefundId

    public java.lang.String getRefundId()
    Получение уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.
    Returns:
      the refundId уникальный идентификатор

  - ### setRefundId

    public void setRefundId​(java.lang.String refundId)
    Установка уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.
    Parameters:
      `refundId` - уникальный идентификатор